﻿$ErrorActionPreference = 'Stop';

$packageName= 'pragmaticworksworkbenchserver'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/release/2017.3/Workbench_Server_2017.3.3.807.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Workbench Server*'
  checksum = 'E1476C0F3223F529D9374CC7F422F9EC2408AA537B70AC39C9A731F408284CE9'
  checksumType = 'sha256'
  checksum64 = 'RTE0NzZDMEYzMjIzRjUyOUQ5Mzc0Q0M3RjQyMkY5RUMyNDA4QUE1MzdCNzBBQzM5QzlBNzMxRjQwODI4NENFOQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
